package org.dromara.system.service;

import org.dromara.common.mybatis.core.page.PageQuery;
import org.dromara.common.mybatis.core.page.TableDataInfo;
import org.dromara.system.domain.bo.SysTagBo;
import org.dromara.system.domain.vo.SysTagVo;

import java.util.Collection;

public interface ISysTagService {
    TableDataInfo<SysTagVo> queryPageList(SysTagBo bo, PageQuery pageQuery);

    /** 查询标签详细 */
    SysTagVo queryById(Long id);

    /** 新增标签 */
    Boolean insertByBo(SysTagBo bo);

    /** 修改标签 */
    Boolean updateByBo(SysTagBo bo);

    /** 校验并删除 */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
